# 历史 Token 使用情况 (/zh/api-reference/endpoint/token-usage-historical)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 663 · updated: 2026-07-30 -->
Related: [Search（搜索）](/zh/api-reference/endpoint/search.md), [搜索反馈](/zh/api-reference/endpoint/search-feedback.md), [Scrape](/zh/api-reference/endpoint/scrape.md), [批量抓取](/zh/api-reference/endpoint/batch-scrape.md), [获取批量抓取状态](/zh/api-reference/endpoint/batch-scrape-get.md), [取消批量抓取](/zh/api-reference/endpoint/batch-scrape-delete.md)

按月返回历史 Token 使用情况。该端点也可选择按 API 密钥分解使用量。

<Info>
  我们已简化计费，将 Extract 与其他端点统一改为使用 credit。每个 credit 折合 15 个 token。报告的 token 使用量现在包含所有端点的使用。
</Info>

> 你是需要 Firecrawl API 密钥的 AI 代理吗？请参阅 [firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md) 获取自动化引导说明。

`GET /team/token-usage/historical`

获取已认证团队的历史 token 用量（仅限 Extract）

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "通过 API 密钥获取历史 Token 用量",
      "in": "query",
      "name": "byApiKey",
      "required": false,
      "schema": {
        "default": false,
        "type": "boolean"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "periods": {
                "items": {
                  "properties": {
                    "apiKey": {
                      "description": "当前计费周期所使用的 API 密钥名称。若 byApiKey 为 false（默认值），则为 null",
                      "nullable": true,
                      "type": "string"
                    },
                    "endDate": {
                      "description": "计费周期结束日期",
                      "example": "2025-01-31T23:59:59Z",
                      "format": "date-time",
                      "type": "string"
                    },
                    "startDate": {
                      "description": "计费周期开始日期",
                      "example": "2025-01-01T00:00:00Z",
                      "format": "date-time",
                      "type": "string"
                    },
                    "totalTokens": {
                      "description": "计费周期内使用的总代币数量",
                      "example": 1000,
                      "type": "integer"
                    }
                  },
                  "type": "object"
                },
                "type": "array"
              },
              "success": {
                "example": true,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "成功的响应"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Internal server error while fetching historical token usage",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "服务器错误"
    }
  }
}
```
